RDM_RESPONDER_TEST.PY(1)

NAME
rdm_responder_test.py - Test RDM responders for adherence to the standards

SYNOPSIS
rdm_responder_test.py [options] <uid>

DESCRIPTION
Run a series of tests on a RDM responder to check the behaviour. This requires the OLA server to be running, and the RDM device to have been detected. You can confirm this by running ola_rdm_discover -u UNIVERSE. This will send SET commands to the broadcast UIDs which means the start address, device label etc. will be changed for all devices connected to the responder. Think twice about running this on your production lighting rig.

OPTIONS

-h, --help
    show this help message and exit

-c SLOT_COUNT, --slot-count=SLOT_COUNT
    Number of slots to send when sending DMX.

-d, --debug
    Print debug information to assist in diagnosing failures.

-f DMX_FRAME_RATE, --dmx-frame-rate=DMX_FRAME_RATE
    Send DMX frames at this rate in the background.

-l FILE, --log=FILE
    Also log to the file named FILE.uid.timestamp.

--list-tests
    Display a list of all tests

-p DIR, --pid-location=DIR
    The location of the PID definitions.

-s, --skip-check
    Skip the check for multiple devices.

-t TEST1,TEST2, --tests=TEST1,TEST2
    A comma separated list of tests to run.

--timestamp
    Add timestamps to each test.

--no-factory-defaults
    Don't run the SET factory defaults tests

-w BROADCAST_WRITE_DELAY, --broadcast-write-delay=BROADCAST_WRITE_DELAY
    The time in ms to wait after sending broadcast setcommands.

-u UNIVERSE, --universe=UNIVERSE
    The universe number to use, default is universe 0.

--inter-test-delay=INTER_TEST_DELAY
    The delay in ms to wait between tests, defaults to 0.